Bug 1285763 - A-MQ hawt.io console Browse message detail view header obscured
A-MQ hawt.io console Browse message detail view header obscured
Status: CLOSED ERRATA
Product: OpenShift Container Platform
Classification: Red Hat
Component: Management Console (Show other bugs)
3.1.0
Unspecified Unspecified
unspecified Severity medium
: ---
: ---
Assigned To: stlewis@redhat.com
Marek Schmidt
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-26 07:12 EST by Marek Schmidt
Modified: 2016-05-12 12:25 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-05-12 12:25:41 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
screenshot (136.13 KB, image/png)
2015-11-26 07:12 EST, Marek Schmidt
no flags Details
amq-message-details.png (214.73 KB, image/png)
2015-12-01 11:19 EST, stlewis@redhat.com
no flags Details
1.0.39 on OSE (68.91 KB, image/png)
2016-01-19 07:33 EST, Marek Schmidt
no flags Details

  None (edit)
Description Marek Schmidt 2015-11-26 07:12:59 EST
Created attachment 1099267 [details]
screenshot

Description of problem:

Using the A-MQ hawt.io view, using Browse to list messages in a queue, opening a detailed view of a message shows the detailed view.

This view's header is obscured by the top panel. This causes the detailed view to be unclosable, as the close button is obscured.

Version-Release number of selected component (if applicable):

rcm-img-docker01.build.eng.bos.redhat.com:5001/jboss-amq-6/amq62-openshift:1.2-5
oc v3.1.0.4-9-g72d3991
kubernetes v1.1.0-origin-1107-g4c8e6f4

How reproducible:

Always 

Steps to Reproduce:
1. 
Deploy a current CR version of the A-MQ image  (as the previous released versions lack the Jolokia integration required for the hawt.io)
2.
Create a queue and put some messages to it
3.
Open the Browse view and select one of the messages to open the detailed view
Actual results:


Expected results:
The detailed message header should be visible, including the "hide" button

Additional info:

reproducible with both current Firefox and Chrome
Comment 1 stlewis@redhat.com 2015-12-01 11:17:51 EST
Pulled out that slideout component and reworked the view a bit, will upload an attachment in a few.

Commit that fixes it is here -> https://github.com/hawtio/hawtio-integration/commit/347510186f277a35e49ef127c560e2a1249b2b59

Will require a new release of openshift-jvm, will wait on that until I have a few other issues fixed across the hawtio components.
Comment 2 stlewis@redhat.com 2015-12-01 11:19 EST
Created attachment 1100951 [details]
amq-message-details.png

Ignore the developer console to the right :-)
Comment 3 stlewis@redhat.com 2016-01-12 09:35:45 EST
Fix is in this PR -> https://github.com/openshift/origin/pull/6539
Comment 4 yapei 2016-01-12 21:01:22 EST
fix is not included in current latest puddle, will verify once merged in new OSE puddle
Comment 5 Marek Schmidt 2016-01-19 07:33 EST
Created attachment 1116165 [details]
1.0.39 on OSE

Altough the "back" button is now partially visible, the header and the buttons are now partially obscured in 1.0.39 in current OSE.  (tested with both Chrome and Firefox)
Comment 6 Marek Schmidt 2016-01-19 07:37:51 EST
Also note that if I delete the "back" link, the view will be correctly positioned, so the issue is likely specific to the case of when the console is opened via the "connect" button in the OpenShift console, as the appearance of the "back" button changes the height of the header.
Comment 7 stlewis@redhat.com 2016-01-28 16:17:14 EST
I swear that top-nav panel grows when I'm not looking.  I've bumped up the top-padding on the body which should sort this -> https://github.com/openshift/origin/pull/6888
Comment 8 stlewis@redhat.com 2016-01-29 09:07:01 EST
Should be ready to check once the PR makes it over to the OSE branch
Comment 9 Marek Schmidt 2016-02-17 06:21:46 EST
Verified on current 3.2 puddle

(openshift-jvm Version: 1.0.42 Commit ID: d46658f96d3134f99b0b6073433d4366defaee0f )
Comment 11 errata-xmlrpc 2016-05-12 12:25:41 EDT
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2016:1064

Note You need to log in before you can comment on or make changes to this bug.